package ru.yandex.webmaster3.viewer.http.download.searchquery;

import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.core.searchquery.QueryId;
import ru.yandex.webmaster3.core.searchquery.QueryIndicator;
import ru.yandex.webmaster3.core.searchquery.SpecialGroup;
import ru.yandex.webmaster3.storage.searchquery.AggregatePeriod;

/**
 * Created by ifilippov5 on 03.03.17.
 */
public class DownloadStatisticSelectedQueryRequest extends DownloadStatisticRequest {

    private SpecialGroup specialGroup = SpecialGroup.TOP_3000_QUERIES;
    private QueryId queryId;
    private AggregatePeriod period= AggregatePeriod.DAY;

    public SpecialGroup getSpecialGroup() {
        return specialGroup;
    }

    @RequestQueryProperty()
    public void setSpecialGroup(SpecialGroup specialGroup) {
        this.specialGroup = specialGroup;
    }

    public QueryId getQueryId() {
        return queryId;
    }

    @RequestQueryProperty()
    public void setQueryId(QueryId queryId) {
        this.queryId = queryId;
    }

    public AggregatePeriod getPeriod() {
        return period;
    }

    @RequestQueryProperty()
    public void setPeriod(AggregatePeriod period) {
        this.period = period;
    }
}
